// Su25k "FROGGY" Czech AF/1 Sqn / 30 Regt Sn 9013
// By Pandoras Box
// sf_pandorasbox@hotmail.com

// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2


class CfgPatches
{
	class PDBSu25K
	{
		units[] = {PDBSu25K};
		weapons[] = {};
		requiredVersion = 1.20;
	};
};


class CfgAmmo
{
	class Default {};
	class AT3: Default {};
	class Hellfire: AT3 {};
	class Maverick: Hellfire {};
	class Ch29T : Maverick {};
        class PDBAT6 : Ch29T
        {
		model = \Su25\Ch_29T_shine;
		hit=800;
		indirectHit=200;
		indirectHitRange=2.500000;
		initTime=0.000000;
		thrustTime=5.500000;
		thrust=1200;
	};
        class BulletSingle : Default {};
	class PDBBulletGSh6N30mm : BulletSingle {
		 // in fact this is 5 bullets burst
		// armour piercing bullets
		hit=55;indirectHit=25;indirectHitRange=2;
		minRange=20;minRangeProbab=0.80;
		midRange=500;midRangeProbab=0.95;
		maxRange=2000;maxRangeProbab=0.05;
		cost=30;
	};

};


class CfgWeapons 
{
        class Default {};
	class LAWLauncher: Default {};
	class CarlGustavLauncher: LAWLauncher {};
	class AT3Launcher: CarlGustavLauncher {};
	class HellfireLauncher: AT3Launcher {};
	class MaverickLauncher: HellfireLauncher {};
        class Ch29TLauncher: MaverickLauncher {};
	class PDBAT6Launcher: Ch29TLauncher
	{
		ammo=PDBAT6;
		displayName=AT6 SPIRAL;
		displayNameMagazine=AT6 SPIRAL;
		shortNameMagazine=PDBAT6 SPIRAL;
		count=6;
		
	};


	class MGun: Default {};
	class MachineGun7_6: MGun {};
	class MachineGun30: MachineGun7_6 {};
	class PDBGSH6N30: MachineGun30
	{
		ammo=PDBBulletGSh6N30mm;
		multiplier=1;
		burst=30;
		division=30;
		count=900;
		initSpeed=3100;
		flashSize=1.2;
		soundContinuous=0;
		reloadTime=0.001;
		ffCount=30;
		autoFire=0;
		displayName = GSh-6-N-30;
		displayNameMagazine = GSh-6-N-30;
		shortNameMagazine = PDBGSh-6-N-30;
                sound[]={"\PDB Su25kFROGGY\gsh-6-n-30mm.wav",db-10,1};	
		dispersion=0.0015;
		maxLeadSpeed=3000; // max estimated speed km/h

		aiRateOfFire=5; // delay between shots at given distance
		aiRateOfFireDistance=2000; // at shorter distance delay goes lineary to zero
	};

	

};


class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Air: AllVehicles {};
	class Plane: Air {};

	class PDBSu25K: Plane
	{
		scope=public;
		crew = SoldierEPilot;
		picture=\PDB Su25kFROGGY\su25k\isu25;
                side=TEast;
		displayName="PDB Su25k FROGGY";
		accuracy=0.30;
                driverAction = ManActA10Pilot;
                maxSpeed = 975;
                SoundEngine[]={"\PDB Su25kFROGGY\su25engine.wav",db+10,1};
                armor=60;
		cost=20000000;
		model="\PDB Su25kFROGGY\PDB Su25k";
                icon="\PDB Su25kFROGGY\Su25k\Su25k"
		weapons[]={PDBAT6Launcher, Rocket57x64, PDBGSH6N30};
		magazines[]={PDBAT6Launcher, Rocket57x64, PDBGSH6N30};
		fov=0.5;
                type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.1, 1, 0.7};

		class Reflectors
		{
			class Reflector
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};

		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -340;
			min = 0;
			max = 1000;
		};
		class IndicatorAltRadar2
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt2";
			axis = "osa_alt2";
			angle = -340;
			min = 0;
			max = 1000;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -350;
			min = 0;
			max = 1000 / 3.6;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -240;
			min = -150;
			max = 150;
		};
		class IndicatorVertSpeed2
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
			angle = -240;
			min = -150;
			max = 150;
		};
	};
};


class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyCh_29T : ProxyWeapon {model = \Su25\Ch_29T; simulation = "maverickweapon";}
};

